Image generation
Generate, edit or fill an image for review
POST
/image-generationsAuthorizationBearer <token>
In: header
Header Parameters
Idempotency-Key*string
Length
8 <= length <= 160Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/image-generations" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "background": "auto", "model": "gpt-image-2.5-flare", "operation": "generate", "page_id": "string", "project_id": "string", "prompt": "string", "quality": "low", "size": "square_hd", "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/ImageGenerationRun.json", "billing_state": "string", "cost_microusd": 0, "created_at": "2019-08-24T14:15:22Z", "error_message": "string", "id": "string", "model": "string", "operation": "string", "page_id": "string", "project_id": "string", "prompt": "string", "result_media_id": "string", "source_media_id": "string", "state": "string", "target_fingerprint": "string", "target_layer_id": "string", "workspace_id": "string"}